%define oname fox

%define libname %mklibname %{oname} 1.6 0
%define develname %mklibname %{name} -d

Summary:    The FOX C++ GUI Toolkit
Name:       fox1.6
Version:    1.6.50
Release:    %mkrel 2
License:    LGPLv2+
Group:      Development/C++
URL:        http://www.fox-toolkit.org
Source:     http://ftp.fox-toolkit.org/pub/%{oname}-%{version}.tar.gz
Patch0:     fox-1.6.36-fix-str-fmt.patch
Patch1:     fox-1.6.43-fix-linkage.patch
BuildRequires:  libmesaglu-devel
BuildRequires:  cups-devel
BuildRequires:  bzip2-devel
BuildRequires:  libxft-devel
BuildRequires:  libxcursor-devel
BuildRequires:  libxrandr-devel
BuildRequires:	libxi-devel
BuildRequires:  fontconfig-devel
BuildRequires: png-devel
BuildRequires: jpeg-devel
BuildRequires: tiff-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}
Summary:    The FOX C++ GUI Toolkit - Libraries
Group:      System/Libraries
Obsoletes:  %{_lib}fox1.6 < 1.6.36-2

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{develname}
Summary:    FOX header files
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   fox1.6-devel = %{version}-%{release}
Provides:   libfox1.6-devel = %{version}-%{release}
Conflicts:  fox1.4-devel
Conflicts:  fox1.7-devel

%description -n %{develname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p0

%build
LDFLAGS="-lfontconfig" %configure2_5x \
    --with-opengl=yes \
    --with-xft \
    --with-xcursor \
    --with-xrandr \
    --with-shape \
    --with-xshm \
    --disable-static \
    --enable-release

%make

%install
rm -rf installed-docs
%makeinstall_std

mv %{buildroot}%{_datadir}/doc/fox-1.6/* installed-docs
%multiarch_binaries %{buildroot}%{_bindir}/fox-config

rm -rf %buildroot%_prefix/fox %buildroot%_bindir/Adie.stx \
       %buildroot%_bindir/PathFinder %buildroot%_bindir/adie \
       %buildroot%_bindir/calculator %buildroot%_bindir/shutterbug \
       %buildroot%_mandir/man1/PathFinder* %buildroot%_mandir/man1/adie* \
       %buildroot%_mandir/man1/calculator* %buildroot%_mandir/man1/shutterbug*

rm -rf %buildroot/%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS LICENSE README
%{_libdir}/*-1.6.so.0*

%files -n %{develname}
%doc doc ADDITIONS TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%_bindir/fox-config
%multiarch_bindir/fox-config
%dir %{_includedir}/fox-1.6
%{_includedir}/fox-1.6/*
%{_libdir}/pkgconfig/fox.pc
%{_libdir}/*.so




%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.6.50-2.mga6
+ Revision: 953962
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 fwang <fwang> 1.6.50-1.mga6
+ Revision: 871784
- 1.6.50

* Wed Oct 15 2014 umeabot <umeabot> 1.6.49-3.mga5
+ Revision: 745967
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.49-2.mga5
+ Revision: 679311
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 fwang <fwang> 1.6.49-1.mga5
+ Revision: 581755
- new version 1.6.49

* Sat Oct 19 2013 umeabot <umeabot> 1.6.46-7.mga4
+ Revision: 525838
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 1.6.46-6.mga4
+ Revision: 434662
- add more br

* Sun Jun 02 2013 fwang <fwang> 1.6.46-5.mga4
+ Revision: 434656
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 1.6.46-4.mga3
+ Revision: 350790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 fwang <fwang> 1.6.46-3.mga3
+ Revision: 296553
- rebuild for missing packages

* Sat Sep 08 2012 fwang <fwang> 1.6.46-2.mga3
+ Revision: 289891
- br xi

* Sat Sep 08 2012 fwang <fwang> 1.6.46-1.mga3
+ Revision: 289878
- new version 1.6.46

* Fri Feb 03 2012 malo <malo> 1.6.44-2.mga2
+ Revision: 204179
- fix release
- spec clean-up after import from Mandriva.
- imported package fox1.6


* Sun Dec 25 2011 Frank Kober <emuse@mandriva.org> 1.6.44-2
+ Revision: 745148
- rebuild removing static libs and .la files
  o required -lfontconfig added to LDFLAGS at configure stage
  o cleaned spec

* Wed May 18 2011 Funda Wang <fwang@mandriva.org> 1.6.44-1
+ Revision: 676026
- update to new version 1.6.44

* Mon May 09 2011 Funda Wang <fwang@mandriva.org> 1.6.43-1
+ Revision: 672661
- new version 1.6.43

* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.6.37-3mdv2011.0
+ Revision: 611803
- fix linkage

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.6.37-2mdv2010.1
+ Revision: 492243
- rebuild for new libjpegv8

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.37-1mdv2010.1
+ Revision: 479070
- update to new version 1.6.37

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.6.36-2mdv2010.0
+ Revision: 419577
- fix linkage of chart.so
- correct libname

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.6.36-1mdv2010.0
+ Revision: 419562
- fix str fmt
- new version 1.6.36

* Wed Dec 10 2008 Götz Waschk <waschk@mandriva.org> 1.6.34-3mdv2009.1
+ Revision: 312447
- disable xim for XFE

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.6.34-2mdv2009.1
+ Revision: 311825
- enable threadsafe library calls

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.6.34-1mdv2009.1
+ Revision: 311756
- new version
- fix spec file
- update to new version 1.6.34

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.6.33-2mdv2009.0
+ Revision: 266818
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.33-1mdv2009.0
+ Revision: 215242
- update to new version 1.6.33
- add missing buildrequires
- enable xft, xrandr, xshm, xshape and xcirsor support
- disable underlinking

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - revert duplicated useless conflict

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 1.6.25-2mdv2008.0
+ Revision: 74625
- add explicit conflict on libfox1.4-devel


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.25-1mdv2007.1
+ Revision: 150282
- New release

* Mon Jan 29 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.20-1mdv2007.1
+ Revision: 115168
- Fix Build
- Import fox1.6

